*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root{
    --text-color: black;
    --custom-orange: #EFA316;
    --custom-grey: #DDDDDD;
}
body{
    width: 100%;
    background-color: #EEEEEE;
    font-family: 'Lato', sans-serif;
}

header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 16px 38px;
    position: sticky;
    top: 0;
    z-index: 1;
    width: 100%;
    background-color: #EEEEEE;
    img{
        width: 300px;
    }
    nav{
        ul{
            display: flex;
            li{
                width: 12vw;
                text-align: center;
                list-style: none;
                a{
                    text-decoration: none;
                    color: var(--text-color);
                }
            }
        }
        
    }
}

main{
    width: 100%;
    margin-top: 70px;
    display: grid;
    grid-template-columns: minmax(1px, 1fr) minmax(min-content, 1000px) minmax(1px, 1fr);
    gap: 100px 0;
    section{
        grid-column: 2/3;
    }
    #first{
        h1{
            text-align: center;
            padding: 10px;
        }
        form{
            display: grid;
            gap: 10px;
            padding: 10px;
            input[type=email] {
                width: 300px;
                justify-self: center;
                padding: 5px;
            }
            input[type=submit] {
                width: 200px;
                padding: 5px;
                justify-self: center;
                background-color: var(--custom-orange);
                font-size: 1em;
                font-weight: bold;
                border: none;
            }
        }
    }
    #offer{
        display: grid;
        grid-template-columns: 2fr 8fr;
        gap:50px 0;
        i{
            text-align: center;
            align-self: center;
            width: 100%;
            font-size: 50px;
            color: var(--custom-orange);
        }
        div{
            display: grid;
            line-height: 1.5;
        }
    }
    #videos{
        display: flex;
        justify-content: center;
        div{
            position: relative;
            overflow: hidden;
            width: 70%;
            padding-top: 40%; /* 16:9 Aspect Ratio (divide 9 by 16 = 0.5625) */
            iframe{
                position: absolute;
                top: 0;
                left: 0;
                bottom: 0;
                right: 0;
                width: 100%;
                height: 100%;
            }
            animation-timing-function: ;
        }
    }

    #plans{
        padding: 10px;
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        justify-content: center;
        align-items: center;
        gap: 20px;
        div{
            border: 1px solid black;
            border-radius: 5px;
            
            display: grid;
            gap: 13px;
            p{
                text-align: center;
            }
            p:first-of-type{
                background-color: var(--custom-grey);
                padding: 20px ;
                font-weight: bold;
            }
            p.price{
                font-size: 2rem;
                font-weight: bold;
            }
            button{
                width: 100px;
                height: 35px;
                justify-self: center;
                font-size: 1.1rem;
                background-color: var(--custom-orange);
                border: none;
                margin-bottom: 10px;
                margin-top: 10px;
            }
        }
    }
    #footer{
        padding: 20px;
        background-color: var(--custom-grey);
        margin-top: -80px;
        ul{
            display: flex;
            justify-content: flex-end;
            li{
                margin-left: 20px;
                text-align: center;
                list-style: none;
                a{
                    text-decoration: none;
                    color: var(--text-color);
                }
            }
        }
        p{
            margin-top: 10px;
            text-align: right;
            color: rgb(94, 94, 94);
        }
    }
}

@media (max-width: 800px) {
    #plans{
        div{
            grid-column: 1/-1;
            min-width: 300px;
            justify-self: center;
        }
    }
    
}

@media (max-width: 650px) {
    #nav-bar{
        ul{
            flex-direction: column;
            li{
                width: 12vh;
            }
        }
        
    }
}

@media (max-width: 600px) {
    header{
        flex-direction: column;

    }
}

@media (max-width: 500px) {
    header{
        flex-direction: column;
    }
    #offer{
        i{
            visibility: hidden;
            width: 0;
            height: 0;
            display: block;
            margin: 0;
            padding: 0;
        }
        div{
            text-align: center;
            grid-column: 1/-1;
        }
    }
    main{
        margin-top: 150px;
    }
}